package com.lanyuanxiaoyao.service.configuration.entity.monitor;

/**
 * 指标运行进度
 *
 * @author lanyuanxiaoyao
 * @date 2024-10-14
 */
public class MetricsProgress {
    private String name;
    private Boolean running;
    private Double progress;

    public MetricsProgress() {
    }

    public MetricsProgress(String name, Boolean running, Double progress) {
        this.name = name;
        this.running = running;
        this.progress = progress;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getProgress() {
        return progress;
    }

    public void setProgress(Double progress) {
        this.progress = progress;
    }

    public Boolean getRunning() {
        return running;
    }

    public void setRunning(Boolean running) {
        this.running = running;
    }

    @Override
    public String toString() {
        return "MetricsProgress{" +
               "name='" + name + '\'' +
               ", running=" + running +
               ", progress=" + progress +
               '}';
    }
}
